# PINProgressiveImage Class Reference

Inherits from | NSObject
Declared in | PINProgressiveImage.h

## Overview

An object which store the data of a downloading image and vends progressive scans *

### `– currentImageBlurred:maxProgressiveRenderSize:`

Returns the latest image based on thresholds, returns nil if no new image is generated

`- (nullable PINImage *)currentImageBlurred:(BOOL)blurred maxProgressiveRenderSize:(CGSize)maxProgressiveRenderSize`

#### Parameters

`blurred` | A boolean to indicate if the image should be blurred
`maxProgressiveRenderSize` | the maximum dimensions at which to apply a blur. If an image exceeds either the height or width of this dimension, the image will not be blurred regardless of the blurred parameter.

#### Return Value

PINImage a progressive scan of the image or nil if a new one has not been generated

#### Declared In

`PINProgressiveImage.h`

### `– data`

Returns the current data for the image.

`- (nullable NSData *)data`

#### Return Value

NSData the current data for the image

#### Declared In

`PINProgressiveImage.h`